Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QDateTimeEdit.Section

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QDateTimeEdit.Section

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDateTimeEdit

    public static final class QDateTimeEdit.Section

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QDateTimeEdit.Section` | `AmPmSection`
`static QDateTimeEdit.Section` | `DateSections_Mask`
`static QDateTimeEdit.Section` | `DaySection`
`static QDateTimeEdit.Section` | `HourSection`
`static QDateTimeEdit.Section` | `MinuteSection`
`static QDateTimeEdit.Section` | `MonthSection`
`static QDateTimeEdit.Section` | `MSecSection`
`static QDateTimeEdit.Section` | `NoSection`
`static QDateTimeEdit.Section` | `SecondSection`
`static QDateTimeEdit.Section` | `TimeSections_Mask`
`static QDateTimeEdit.Section` | `YearSection`

Method Summary
`static QDateTimeEdit.Sections` | `createQFlags(QDateTimeEdit.Section[] values)` This function creates a com.trolltech.qt.gui.QDateTimeEdit$Sections with the specified `com.trolltech.qt.gui.QDateTimeEdit$Section[]` QDateTimeEdit$Section values set.
`static QDateTimeEdit.Section` | `resolve(int value)` Returns the QDateTimeEdit$Section constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDateTimeEdit.Section` | `valueOf(java.lang.String name)`
`static QDateTimeEdit.Section[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoSection

    public static final QDateTimeEdit.Section NoSection

### AmPmSection

    public static final QDateTimeEdit.Section AmPmSection

### MSecSection

    public static final QDateTimeEdit.Section MSecSection

### SecondSection

    public static final QDateTimeEdit.Section SecondSection

### MinuteSection

    public static final QDateTimeEdit.Section MinuteSection

### HourSection

    public static final QDateTimeEdit.Section HourSection

### DaySection

    public static final QDateTimeEdit.Section DaySection

### MonthSection

    public static final QDateTimeEdit.Section MonthSection

### YearSection

    public static final QDateTimeEdit.Section YearSection

### TimeSections_Mask

    public static final QDateTimeEdit.Section TimeSections_Mask

### DateSections_Mask

    public static final QDateTimeEdit.Section DateSections_Mask

Method Detail

### values

    public static QDateTimeEdit.Section[] values()

### valueOf

    public static QDateTimeEdit.Section valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QDateTimeEdit.Sections createQFlags(QDateTimeEdit.Section[] values)

  This function creates a com.trolltech.qt.gui.QDateTimeEdit$Sections with the specified `com.trolltech.qt.gui.QDateTimeEdit$Section[]` QDateTimeEdit$Section values set.

### resolve

    public static QDateTimeEdit.Section resolve(int value)

  Returns the QDateTimeEdit$Section constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD